﻿using System.Windows.Forms;

using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Area area = new Area(this.tChart.Chart);

            area.Title    = "area";
            area.Smoothed = true;

            Line line = new Line(this.tChart.Chart);

            line.Title         = "line";
            line.VertAxis      = VerticalAxis.Right;
            line.LinePen.Width = 4;
            line.Marks.Visible = false;
            line.DataSource    = area;
            line.Function      = new SlopeFunction(this.tChart.Chart);

            area.FillSampleValues(20);
        }

        #endregion
    }
}